//
// Author: Benjamin Langmann <b.langmann@gmx.de>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//

// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#ifndef __linux__

#pragma once

#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers

// Windows Header Files:
#include <windows.h>
#include <vfw.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef unsigned char uint8_t;
typedef unsigned short uint16_t;
typedef unsigned int uint32_t;
typedef char int8_t;
typedef short int16_t;
typedef int int32_t;

#define LMJPEG_NAME L"LMJPEG"
#define LMJPEG_DESC L"Low Motion JPEG"
#define FOURCC_LMJP mmioFOURCC('L','M','J','P')
#define M_SQRT1_2 0.70710678118654752440084436210485

#define VFW_WIN

#else

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdint.h>

#endif
