//
// Author: Benjamin Langmann <b.langmann@gmx.de>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//

// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the LMJPEGVFW_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// LMJPEGVFW_API functions as being imported from a DLL, whereas this DLL sees symbols
// defined with this macro as being exported.
#ifdef LMJPEGVFW_EXPORTS
#define LMJPEGVFW_API __declspec(dllexport)
#else
#define LMJPEGVFW_API __declspec(dllimport)
#endif

#include "lmjpeg_io.h"

LMJPEGVFW_API LRESULT WINAPI DriverProc(DWORD dwDriverId, HDRVR hDriver, UINT uMsg, LPARAM lParam1, LPARAM lParam2);

BOOL CALLBACK about_proc(HWND, UINT, WPARAM, LPARAM);
BOOL CALLBACK configure_proc(HWND, UINT, WPARAM, LPARAM);
BOOL CALLBACK matrix_edit_proc(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);

/* compressor */
/* test the output format */
LRESULT compress_query(CODEC * codec, BITMAPINFO * lpbiInput, BITMAPINFO * lpbiOutput);
LRESULT compress_get_format(CODEC * codec, BITMAPINFO * lpbiInput, BITMAPINFO * lpbiOutput);
LRESULT compress_get_size(CODEC * codec, BITMAPINFO * lpbiInput, BITMAPINFO * lpbiOutput);
LRESULT compress_frames_info(CODEC * codec, ICCOMPRESSFRAMES * icf);
LRESULT compress_begin(CODEC * codec, BITMAPINFO * lpbiInput, BITMAPINFO * lpbiOutput);
LRESULT compress_end(CODEC * codec);
LRESULT compress_frame(CODEC * codec, ICCOMPRESS * icc);

/* decompressor */
LRESULT decompress_query(CODEC * codec, BITMAPINFO *lpbiInput, BITMAPINFO *lpbiOutput);
LRESULT decompress_get_format(CODEC * codec, BITMAPINFO * lpbiInput, BITMAPINFO * lpbiOutput);
LRESULT decompress_begin(CODEC * codec, BITMAPINFO * lpbiInput, BITMAPINFO * lpbiOutput);
LRESULT decompress_end(CODEC * codec);
LRESULT decompress_frame(CODEC * codec, ICDECOMPRESS * icd);

